summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/dejagnu/dejagnu-1.5/remove-expect-tcl-dependency.patch
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-devtools/dejagnu/dejagnu-1.5/remove-expect-tcl-dependency.patch')
-rw-r--r--meta/recipes-devtools/dejagnu/dejagnu-1.5/remove-expect-tcl-dependency.patch34
1 files changed, 34 insertions, 0 deletions
diff --git a/meta/recipes-devtools/dejagnu/dejagnu-1.5/remove-expect-tcl-dependency.patch b/meta/recipes-devtools/dejagnu/dejagnu-1.5/remove-expect-tcl-dependency.patch
new file mode 100644
index 0000000..9e5471a
--- /dev/null
+++ b/meta/recipes-devtools/dejagnu/dejagnu-1.5/remove-expect-tcl-dependency.patch
@@ -0,0 +1,34 @@
1Remove the build dependency on expect and tcl
2
3Upstream-Status: Pending
4
5Signed-off-by: Anders Roxell <anders.roxell@enea.com>
6---
7diff -uNr a/configure.ac b/configure.ac
8--- a/configure.ac 2013-01-17 16:05:13.715074360 +0100
9+++ b/configure.ac 2013-01-17 16:25:48.678029417 +0100
10@@ -37,24 +37,5 @@
11 AC_PATH_PROG([DOCBOOK2PS], [docbook2ps], [false])
12 AC_PATH_PROG([DOCBOOK2TEXI], [docbook2x-texi], [false])
13
14-dnl Search for expect.
15-AC_PATH_PROG([EXPECT], [expect])
16-if test -z $ac_cv_path_EXPECT ; then
17- AC_MSG_ERROR([unable to locate expect])
18-fi
19-
20-dnl Check the Tcl version is >= 8.3.
21-AC_MSG_CHECKING([Tcl version 8.3 or greater])
22-AC_CACHE_VAL(ac_cv_dg_tcl_modern,[
23- ac_cv_dg_tcl_modern=`$EXPECT << EOF
24-if @<:@ expr \\${tcl_version} >= 8.3 @:>@ then { puts yes } else { puts no }
25-EOF`
26-])
27-if test x${ac_cv_dg_tcl_modern} = xyes ; then
28- AC_MSG_RESULT(${ac_cv_dg_tcl_modern})
29-else
30- AC_MSG_ERROR([Tcl 8.3 or greater is required])
31-fi
32-
33 AC_CONFIG_SUBDIRS([example/calc example/hello example/mathhelper])
34 AC_OUTPUT([Makefile])